using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Forms;
using System.Reflection;
using FLY.FilmCasting.AutoDie.Server;
using FLY.FilmCasting.AutoDie.Server.OBJProxy;

namespace FLY.FilmCasting.AutoDie.UI.Server
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : NavigationWindow
    {
        FLY.AppHelper.WindowNotifyIconHelper notifyiconhelper;
        TDGage gage;
        OBJProxy oBJProxy;
        public MainWindow()
        {
            InitializeComponent();
            PgLoading p = new PgLoading();
            this.Navigate(p);

            this.Title = (new Misc.Ver() { SrcType = typeof(MainWindow) }).ToString();

            notifyiconhelper = new AppHelper.WindowNotifyIconHelper(this, this.Title);
        }
        private async void NavigationWindow_Loaded(object sender, RoutedEventArgs _e)
        {
            gage = new TDGage("Gage1");
            await gage.Init();
            oBJProxy = new OBJProxy(0, gage);
            FObjBase.PollModule.Current.Start();

            this.Hide();
            PgMain p = new PgMain();
            p.Init(gage);
            this.Navigate(p);
            this.NavigationService.RemoveBackEntry();

        }
    }
}
